Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-db/mysql: mysql-5.1.44-r1.ebuild ChangeLog
Date: Sat, 27 Feb 2010 18:23:34
Message-Id: E1NlRK6-0006lo-Tg@stork.gentoo.org
1 robbat2 10/02/27 18:23:30
2
3 Modified: ChangeLog
4 Added: mysql-5.1.44-r1.ebuild
5 Log:
6 Now with PBXT support again. XtraDB 1.0.6-9 confirmed to not work yet.
7 (Portage version: 2.2_rc63/cvs/Linux x86_64)
8
9 Revision Changes Path
10 1.511 dev-db/mysql/ChangeLog
11
12 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.511&view=markup
13 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.511&content-type=text/plain
14 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?r1=1.510&r2=1.511
15
16 Index: ChangeLog
17 ===================================================================
18 RCS file: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v
19 retrieving revision 1.510
20 retrieving revision 1.511
21 diff -p -w -b -B -u -u -r1.510 -r1.511
22 --- ChangeLog 23 Feb 2010 06:05:54 -0000 1.510
23 +++ ChangeLog 27 Feb 2010 18:23:30 -0000 1.511
24 @@ -1,6 +1,12 @@
25 # ChangeLog for dev-db/mysql
26 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
27 -# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.510 2010/02/23 06:05:54 robbat2 Exp $
28 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.511 2010/02/27 18:23:30 robbat2 Exp $
29 +
30 +*mysql-5.1.44-r1 (27 Feb 2010)
31 +
32 + 27 Feb 2010; Robin H. Johnson <robbat2@g.o>
33 + +mysql-5.1.44-r1.ebuild:
34 + Now with PBXT support again. XtraDB 1.0.6-9 confirmed to not work yet.
35
36 23 Feb 2010; Robin H. Johnson <robbat2@g.o> metadata.xml:
37 Resync the metadata.xml between mysql packages.
38
39
40
41 1.1 dev-db/mysql/mysql-5.1.44-r1.ebuild
42
43 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.1.44-r1.ebuild?rev=1.1&view=markup
44 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.1.44-r1.ebuild?rev=1.1&content-type=text/plain
45
46 Index: mysql-5.1.44-r1.ebuild
47 ===================================================================
48 # Copyright 1999-2010 Gentoo Foundation
49 # Distributed under the terms of the GNU General Public License v2
50 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.1.44-r1.ebuild,v 1.1 2010/02/27 18:23:30 robbat2 Exp $
51
52 MY_EXTRAS_VER="20100227-1814Z"
53 EAPI=2
54
55 # PBXT
56 PBXT_VERSION='1.0.10-rc'
57 # XtraDB
58 # handler/i_s.cc: In function 'int i_s_innodb_buffer_pool_pages_index_fill(THD*, TABLE_LIST*, COND*)':
59 # handler/i_s.cc:801: error: invalid conversion from 'const char*' to 'char*'
60 # handler/i_s.cc: In function 'int i_s_innodb_admin_command_fill(THD*, TABLE_LIST*, COND*)':
61 # handler/i_s.cc:2995: warning: deprecated conversion from string constant to 'char*'
62 # PERCONA_VER='5.1.42-9' XTRADB_VER='1.0.6-9'
63
64 inherit toolchain-funcs mysql
65 # only to make repoman happy. it is really set in the eclass
66 IUSE="$IUSE"
67
68 # REMEMBER: also update eclass/mysql*.eclass before committing!
69 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
70
71 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
72 EPATCH_EXCLUDE=''
73
74 DEPEND="|| ( >=sys-devel/gcc-4 >=sys-devel/gcc-apple-4 )"
75 RDEPEND="!media-sound/amarok[embedded]"
76
77 # Please do not add a naive src_unpack to this ebuild
78 # If you want to add a single patch, copy the ebuild to an overlay
79 # and create your own mysql-extras tarball, looking at 000_index.txt
80
81 # Official test instructions:
82 # USE='berkdb -cluster embedded extraengine perl ssl community' \
83 # FEATURES='test userpriv -usersandbox' \
84 # ebuild mysql-X.X.XX.ebuild \
85 # digest clean package
86 src_test() {
87 # Bug #213475 - MySQL _will_ object strenously if your machine is named
88 # localhost. Also causes weird failures.
89 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
90
91 emake check || die "make check failed"
92 if ! use "minimal" ; then
93 if [[ $UID -eq 0 ]]; then
94 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
95 fi
96 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
97 cd "${S}"
98 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
99 local retstatus_unit
100 local retstatus_ns
101 local retstatus_ps
102 local t
103 addpredict /this-dir-does-not-exist/t9.MYI
104
105 # Ensure that parallel runs don't die
106 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
107
108 # archive_gis really sucks a lot, but it's only relevant for the
109 # USE=extraengines case
110 case ${PV} in
111 5.0.42)
112 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
113 ;;
114
115 5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
116 [ "$(tc-endian)" == "big" ] && \
117 mysql_disable_test \
118 "archive_gis" \
119 "Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
120 ;;
121 esac
122
123 # This was a slight testcase breakage when the read_only security issue
124 # was fixed.
125 case ${PV} in
126 5.0.54|5.0.51*)
127 mysql_disable_test \
128 "read_only" \
129 "Broken in 5.0.51-54, output in wrong order"
130 ;;
131 esac
132
133 # Ditto to read_only
134 [ "${PV}" == "5.0.51a" ] && \
135 mysql_disable_test \
136 "view" \
137 "Broken in 5.0.51, output in wrong order"
138
139 # x86-specific, OOM issue with some subselects on low memory servers
140 [ "${PV}" == "5.0.54" ] && \
141 [ "${ARCH/x86}" != "${ARCH}" ] && \
142 mysql_disable_test \
143 "subselect" \
144 "Testcase needs tuning on x86 for oom condition"
145
146 # Broke with the YaSSL security issue that didn't affect Gentoo.
147 [ "${PV}" == "5.0.56" ] && \
148 for t in openssl_1 rpl_openssl rpl_ssl ssl \
149 ssl_8k_key ssl_compress ssl_connect ; do \
150 mysql_disable_test \
151 "$t" \
152 "OpenSSL tests broken on 5.0.56"
153 done
154
155 # New test was broken in first time
156 # Upstream bug 41066
157 # http://bugs.mysql.com/bug.php?id=41066
158 [ "${PV}" == "5.0.72" ] && \
159 mysql_disable_test \
160 "status2" \
161 "Broken in 5.0.72, new test is broken, upstream bug #41066"
162
163 # The entire 5.0 series has pre-generated SSL certificates, they have
164 # mostly expired now. ${S}/mysql-tests/std-data/*.pem
165 # The certs really SHOULD be generated for the tests, so that they are
166 # not expiring like this. We cannot do so ourselves as the tests look
167 # closely as the cert path data, and we do not have the CA key to regen
168 # ourselves. Alternatively, upstream should generate them with at least
169 # 50-year validity.
170 #
171 # Known expiry points:
172 # 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
173 # 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
174 # 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
175 #
176 # mysql-test/std_data/untrusted-cacert.pem is MEANT to be
177 # expired/invalid.
178 case ${PV} in
179 5.0.*|5.1.*)
180 for t in openssl_1 rpl_openssl rpl.rpl_ssl rpl.rpl_ssl1 ssl ssl_8k_key \
181 ssl_compress ssl_connect ; do \
182 mysql_disable_test \
183 "$t" \
184 "These OpenSSL tests break due to expired certificates"
185 done
186 ;;
187 esac
188
189 # These are also failing in MySQL 5.1 for now, and are believed to be
190 # false positives:
191 #
192 # main.mysql_comment, main.mysql_upgrade:
193 # fails due to USE=-latin1 / utf8 default
194 #
195 # main.mysql_client_test:
196 # segfaults at random under Portage only, suspect resource limits.
197 case ${PV} in
198 5.1.*)
199 for t in main.mysql_client_test main.mysql_comments main.mysql_upgrade; do
200 mysql_disable_test "$t" "False positives in Gentoo"
201 done
202 ;;
203 esac
204
205 # These are also failing in MySQL 5.1 for now, and are believed to be
206 # false positives:
207 #
208 # main.mysql_comment, main.mysql_upgrade:
209 # fails due to USE=-latin1 / utf8 default
210 #
211 # main.mysql_client_test:
212 # segfaults at random under Portage only, suspect resource limits.
213 case ${PV} in
214 5.1.*)
215 for t in main.mysql_client_test main.mysql_comments main.mysql_upgrade; do
216 mysql_disable_test "$t" "False positives in Gentoo"
217 done
218 ;;
219 esac
220
221 # create directories because mysqladmin might right out of order
222 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
223
224 # We run the test protocols seperately
225 emake test-unit
226 retstatus_unit=$?
227 [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
228
229 emake test-ns force="--force --vardir=${S}/mysql-test/var-ns"
230 retstatus_ns=$?
231 [[ $retstatus_ns -eq 0 ]] || eerror "test-ns failed"
232 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
233
234 emake test-ps force="--force --vardir=${S}/mysql-test/var-ps"
235 retstatus_ps=$?
236 [[ $retstatus_ps -eq 0 ]] || eerror "test-ps failed"
237 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
238
239 # TODO:
240 # When upstream enables the pr and nr testsuites, we need those as well.
241
242 # Cleanup is important for these testcases.
243 pkill -9 -f "${S}/ndb" 2>/dev/null
244 pkill -9 -f "${S}/sql" 2>/dev/null
245 failures=""
246 [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
247 [[ $retstatus_ns -eq 0 ]] || failures="${failures} test-ns"
248 [[ $retstatus_ps -eq 0 ]] || failures="${failures} test-ps"
249 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
250 [[ -z "$failures" ]] || die "Test failures: $failures"
251 einfo "Tests successfully completed"
252 else
253 einfo "Skipping server tests due to minimal build."
254 fi
255 }